import 'package:example/pages/buggy.dart';
import 'package:example/pages/cupertino_photos.dart';
import 'package:example/pages/features.dart';
import 'package:example/pages/grid.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:layout_grid/layout_grid.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      theme: ThemeData(
        cardTheme: CardTheme(
          elevation: 0,
          color: Colors.blue[100],
        ),
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatelessWidget {
  const MyHomePage({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final List<Widget> pages = [
      FeaturesPage(),
      CupertinoPhotos(),
      GridPage(),
      BuggyPage(),
    ];
    return Layout(
      child: Scaffold(
        body: PageView.builder(
          //physics: NeverScrollableScrollPhysics(),
          itemCount: pages.length,
          itemBuilder: (context, index) {
            return pages[index];
          },
        ),
      ),
    );
  }
}
