import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:layout_grid/layout_grid.dart';

import '../utils.dart';

class BuggyPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Layout(
      child: Scaffold(
        appBar: AppBar(
          // Here we take the value from the MyHomePage object that was created by
          // the App.build method, and use it to set our appbar title.
          title: Text('Buggy'),
        ),
        body: Scrollbar(
          child: Container(
            child: CustomScrollView(
              slivers: [
                SliverPadding(
                  padding: EdgeInsets.symmetric(horizontal: 20),
                  sliver: SliverLayoutGrid(
                    gridDelegate:
                        SliverLayoutGridDelegateWithFixedCrossAxisCount(
                      crossAxisCount: 40,
                      masonry: false,
                    ),
                    delegate: SliverChildBuilderDelegate(
                      (context, index) => Cell.fit(
                        snap: 1,
                        child: Card(
                          color: getRandomColor(index),
                          margin: EdgeInsets.all(0),
                          child: Center(
                            child: Padding(
                              padding: EdgeInsets.all(12),
                              child: Text('$index\n' + ('.' * (index % 6))),
                            ),
                          ),
                        ),
                      ),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
        floatingActionButton: FloatingActionButton(
          onPressed: () {},
          tooltip: 'Increment',
          child: Icon(Icons.add),
        ), // This trailing comma makes auto-formatting nicer for build methods.
      ),
    );
  }
}
